### Enumeration

# Qmi VoiceSupplementaryServiceAction

since: 1.30

#### Declaration

    enum Qmi.VoiceSupplementaryServiceAction

#### Description [src]

Supplementary service action.

Available since: 1.30

#### Members

`QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_ACTIVATE`

  Activate supplementary service.

  - Value: `1`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_DEACTIVATE`

  De-activate supplementary service.

  - Value: `2`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_REGISTER`

  Register supplementary service.

  - Value: `3`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_ERASE`

  Erase/Un-register supplementary service.

  - Value: `4`
  - Available since: 1.30

#### Type functions

###### qmi_voice_supplementary_service_action_get_string

Gets the nickname string for the `QmiVoiceSupplementaryServiceAction` specified at `val`.

since: 1.30